This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 809823 - katello-configure --deployment=katello is accepted in a SAM only installation.
katello-configure --deployment=katello is accepted in a SAM only installation.
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello-configure (Show other bugs)
1.0.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Jordan OMara
SAM QE List
:
: 809824 (view as bug list)
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-04-04 09:12 EDT by Eric Sammons
Modified: 2014-11-09 17:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
katello-configure-0.1.107-1.el6.noarch
Last Closed: 2013-02-21 14:15:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-04-04 09:12:22 EDT
Description of problem:
When installing a SAM only system, katello-headpin-all, the katello-configure command will accept katello as a valid deployment.  During configuration though the configuration is only partially successfull.

Version-Release number of selected component (if applicable):
katello-configure-0.1.107-1.el6.noarch

Steps to Reproduce:
1.  yum install -y katello-headpin-all
2.  katello-configure --deployment=katello
  
Actual results:

# katello-configure --deployment=katello --org-name=RedHat_QE
Starting Katello configuration
The top-level log file is [/var/log/katello/katello-configure-20120404-090449/main.log]
err: /File[/var/lib/pulp/packages]/ensure: change from absent to directory failed: Cannot create /var/lib/pulp/packages; parent directory /var/lib/pulp does not exist
err: /Stage[main]/Mongodb::Service/Service[mongod]/ensure: change from stopped to running failed: Could not start Service[mongod]: Execution of '/sbin/service mongod start' returned 1:  at /usr/share/katello/install/puppet/modules/mongodb/manifests/service.pp:5
Creating Candlepin database user
############################################################ ... OK
Creating Candlepin database
############################################################ ... OK
Creating Katello database user
############################################################ ... OK
Creating Katello database
############################################################ ... OK
err: /Stage[main]/Certs::Config/Exec[strip-qpid-client-certificate]/returns: change from notrun to 0 failed: cp /root/ssl-build/mgmt9.rhq.lab.eng.bos.redhat.com/qpid-client.key /etc/pki/pulp/qpid_client_striped.crt; openssl x509 -in /root/ssl-build/mgmt9.rhq.lab.eng.bos.redhat.com/qpid-client.crt >> /etc/pki/pulp/qpid_client_striped.crt returned 1 instead of one of [0] at /usr/share/katello/install/puppet/modules/certs/manifests/config.pp:311

Expected results:
An error that explains katello is not a valid option here, your install only supports SAM.  Perhaps katello-configure could do a check for specific packages like pulp or if katello-headpin-all then error.

Additional Info:
passing no deployment option gives unfriendly errors.

[snip]
err: /Stage[main]/Mongodb::Service/Service[mongod]/ensure: change from stopped to running failed: Could not start Service[mongod]: Execution of '/sbin/service mongod start' returned 1:  at /usr/share/katello/install/puppet/modules/mongodb/manifests/service.pp:5
err: /Stage[main]/Certs::Config/Exec[strip-qpid-client-certificate]/returns: change from notrun to 0 failed: cp /root/ssl-build/mgmt9.rhq.lab.eng.bos.redhat.com/qpid-client.key /etc/pki/pulp/qpid_client_striped.crt; openssl x509 -in /root/ssl-build/mgmt9.rhq.lab.eng.bos.redhat.com/qpid-client.crt >> /etc/pki/pulp/qpid_client_striped.crt returned 1 instead of one of [0] at /usr/share/katello/install/puppet/modules/certs/manifests/config.pp:311
err: /File[/var/lib/pulp/packages]/ensure: change from absent to directory failed: Cannot create /var/lib/pulp/packages; parent directory /var/lib/pulp does not exist
[/snip]
Comment 2 Jordan OMara 2012-04-27 16:08:28 EDT
*** Bug 809824 has been marked as a duplicate of this bug. ***
Comment 3 Jordan OMara 2012-04-30 16:40:20 EDT

    https://github.com/Katello/katello/pull/60
Comment 4 Tazim Kolhar 2012-05-03 03:02:54 EDT
VERIFIED with the build :


[root@localhost yum.repos.d]# rpm -qa | grep katello
katello-glue-candlepin-0.3.1-1.el6_2.noarch
katello-cli-headpin-0.2.0-1.el6_2.noarch
katello-headpin-0.2.6-1.el6_2.noarch
katello-headpin-all-0.2.6-1.el6_2.noarch
katello-cli-common-0.3.1-3.el6_2.noarch
katello-configure-0.3.2-4.el6_2.noarch
katello-common-0.3.1-1.el6_2.noarch
katello-certs-tools-1.1.5-1.el6_2.noarch
katello-selinux-0.2.4-1.el6_2.noarch



[root@localhost yum.repos.d]# katello-configure --deployment katello
You have attempted to set up katello with katello-headpin installed.
Please consult the documentation or use a valid --deployment flag.


the issue has been fixed displaying error appropriately.
Comment 6 errata-xmlrpc 2013-02-21 14:15:31 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.